KABC::AddresseeDialog Class Reference

`#include <addresseedialog.h>`

Inheritance diagram for KABC::AddresseeDialog:

## Public Member Functions

| AddresseeDialog (QWidget *parent=0, bool multiple=false)
virtual | ~AddresseeDialog ()
Addressee | addressee ()
Addressee::List | addressees ()

## Static Public Member Functions

static Addressee | getAddressee (QWidget *parent)
static Addressee::List | getAddressees (QWidget *parent)

## Protected Slots

void | addressBookChanged ()

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

Dialog for selecting address book entries.

This class provides a dialog for selecting entries from the standard KDE address book. Use the getAddressee() function to open a modal dialog, returning an address book entry.

In the dialog you can select an entry from the list with the mouse or type in the first letters of the name or email address you are searching for. The entry matching best is automatically selected. Use double click, pressing return or pressing the ok button to return the selected addressee to the application.

Definition at line 83 of file addresseedialog.h.

## Constructor & Destructor Documentation

AddresseeDialog::AddresseeDialog | ( | QWidget * | parent = `0`,
|  | bool | multiple = `false`
| ) |  |

Construct addressbook entry select dialog.

Parameters

  parent | parent widget
  multiple | if true, indicates a multiple selection.

Definition at line 59 of file addresseedialog.cpp.

AddresseeDialog::~AddresseeDialog | ( |  | ) |

virtual

Destructor.

Definition at line 125 of file addresseedialog.cpp.

## Member Function Documentation

Addressee AddresseeDialog::addressee | ( |  | ) |

Return the address chosen.

If it is a multiple select, this will return only the first address chosen

Definition at line 194 of file addresseedialog.cpp.

Addressee::List AddresseeDialog::addressees | ( |  | ) |

Return the list of addresses chosen.

Definition at line 207 of file addresseedialog.cpp.

Addressee AddresseeDialog::getAddressee | ( | QWidget * | parent | ) |

static

Select a single address book entry.

Open addressee select dialog and return the entry selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee is empty.

Definition at line 229 of file addresseedialog.cpp.

Addressee::List AddresseeDialog::getAddressees | ( | QWidget * | parent | ) |

static

Select multiple address book entries.

Open addressee select dialog and return the entries selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee list is empty.

Definition at line 243 of file addresseedialog.cpp.

The documentation for this class was generated from the following files:

- addresseedialog.h
- addresseedialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys